Subject: Re: [PATCH 1/1] gitk: Update Bulgarian translation (323t)

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Dec 2024 10:08:32 -0800

Johannes Sixt <[email-masked]> writes:

> Am 23.12.24 um 14:39 schrieb Alexander Shopov:
>> Signed-off-by: Alexander Shopov <[email-masked]>
>> ---
>>  po/bg.po | 696 ++++++++++++++++++++++++++++---------------------------
>>  1 file changed, 360 insertions(+), 336 deletions(-)
>
>> -#: gitk:2203 gitk:8681
>> +#: gitk:2206 gitk:8739
>>  msgid "SHA1 ID:"
>>  msgstr "SHA1:"
>
>> -#: gitk:8700
>> +#: gitk:8758
>>  #, tcl-format
>>  msgid "Short SHA1 id %s is ambiguous"
>>  msgstr "Съкратената сума по SHA1 %s не е еднозначна"
>
>> -#: gitk:8717
>> +#: gitk:8775
>>  #, tcl-format
>>  msgid "SHA1 id %s is not known"
>>  msgstr "Непозната сума по SHA1 %s"
>
>> -#: gitk:11508
>> +#: gitk:11571
>>  msgid "Auto-select SHA1 (length)"
>>  msgstr "Автоматично избиране на SHA1 (дължина)"
>
> These strings are no longer in the code: "SHA1" has been replaced by
> "commit ID".
>
> I am unfamiliar with the translation workflow. What am I expected to do
> so that you can make translations of the current state?

You have Jiang Xin on the CC line who is much more expert than I am,
but in case you didn't hear from him...

The update-po target would run msgmerge to grab new messages in the
code, mark existing translations as fuzzy when it is noticed that an
existing message got updated, etc., and give you an up-to-date .po
files to be edited manually.

On Git itself, we used to make it a task for l10n coordinator to run
the update-po and translators only updated their .po files, but the
latest procedure IIUC is for the translators to perform both
update-po and translation for their language.

I do not remember how gitk/git-gui l10n was handled, however.